For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet a list of all projects.
      • POSTCreate project
      • POSTValidate project ID
      • PUTUpdate project
      • DELDelete project
      • PUTUpdate project enterprise settings
      • POSTArchive project
      • POSTRevive project
      • GETGet users and groups in project
      • POSTConfigure project access
      • PUTSet users and groups to roles in the current project
      • GETGet project-role mappings
      • PUTSets roles for user
      • DELRemove project access for a user
      • PUTSets roles for group
      • DELRemove project access for a group
      • GET[BETA] List action sets.
      • POST[BETA] Create an action set.
      • PUT[BETA] Update an action set.
      • DEL[BETA] Delete an action set.
      • POST[BETA] Enables an action set.
      • POST[BETA] Disables an action set.
      • GET[BETA] Get action events for a specific action set.
      • GET[BETA] Configuration for the actions UI.
      • GETGet an overview of a project.
      • GETGet an overview project dora metrics.
      • GETGet a list of all applications for a project.
      • GETGet a list of all flag creators for a project.
      • GETGet outdated project SDKs
      • POSTAdd an environment to a project.
      • DELRemove an environment from a project.
      • POSTSet environment-default strategy
      • GETGet a health report for a project.
      • GETGet api tokens for project.
      • POSTCreate a project API token.
      • DELDelete a project API token.
      • GETGet an overview of a project insights.
      • GET[BETA] Get project status
      • GET[BETA] Get personal dashboard
      • GET[BETA] Get personal project details

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIProjects

Get a list of all projects.

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/projects
GET
/api/admin/projects
$curl https://app.unleash-instance.example.com/api/admin/projects \
> -H "Authorization: <apiKey>"
1{
2 "version": 1,
3 "projects": [
4 {
5 "id": "dx-squad",
6 "name": "DX-Squad",
7 "technicalDebt": 25,
8 "featureCount": 10,
9 "memberCount": 4,
10 "createdAt": "2023-07-27T12:12:28Z",
11 "lastUpdatedAt": "2023-07-28T12:12:28Z",
12 "archivedAt": "2023-07-28T12:12:28Z",
13 "favorite": true,
14 "mode": "open",
15 "lastReportedFlagUsage": "2023-07-28T12:12:28Z",
16 "owners": [
17 {
18 "ownerType": "user",
19 "name": "User Name",
20 "imageUrl": "https://example.com/image.jpg",
21 "email": "user@example.com"
22 }
23 ],
24 "description": "DX squad feature release",
25 "health": 50,
26 "staleFeatureCount": 10,
27 "potentiallyStaleFeatureCount": 10,
28 "updatedAt": "2023-07-28T12:12:28Z",
29 "defaultStickiness": "userId",
30 "avgTimeToProduction": 10
31 }
32 ]
33}
This endpoint returns an list of all the projects in the Unleash instance.
Was this page helpful?
Previous

Create project

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

archivedbooleanOptional

Response

projectsSchema
versioninteger
The schema version used to represent the project data.
projectslist of objects
A list of projects in the Unleash instance

Errors

401
Unauthorized Error
403
Forbidden Error